VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Object = "{9E89240E-BCED-451E-95E0-EDD29A50112A}#5.0#0"; "rsp_ogg_vorbis_ocx_330sw.ocx"
Begin VB.Form Form6 
   Caption         =   "RSP Software Normalization Sample"
   ClientHeight    =   3015
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   Icon            =   "Form6.frx":0000
   LinkTopic       =   "Form6"
   LockControls    =   -1  'True
   ScaleHeight     =   3015
   ScaleWidth      =   4680
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton Command3 
      Caption         =   "Check if the volume tag is available in the file"
      Height          =   375
      Left            =   120
      TabIndex        =   6
      Top             =   960
      Width           =   4455
   End
   Begin RSPOggPlayer330.RSPOggPlay RSPOggPlay1 
      Left            =   120
      Top             =   2760
      _ExtentX        =   979
      _ExtentY        =   979
   End
   Begin VB.TextBox Text1 
      Height          =   285
      Left            =   1200
      TabIndex        =   2
      Top             =   120
      Width           =   3375
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Write normalization tag"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   4455
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Open"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   975
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   3840
      Top             =   120
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Label Label3 
      Caption         =   "RSP Software 1996-2009"
      ForeColor       =   &H00FF0000&
      Height          =   255
      Left            =   2760
      TabIndex        =   5
      Top             =   2760
      Width           =   1935
   End
   Begin VB.Label Label2 
      Caption         =   $"Form6.frx":0E42
      Height          =   855
      Left            =   120
      TabIndex        =   4
      Top             =   1800
      Width           =   4455
   End
   Begin VB.Label Label1 
      Caption         =   "Result:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   1440
      Width           =   4455
   End
End
Attribute VB_Name = "Form6"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Command1_Click()
    CommonDialog1.ShowOpen
    Text1.Text = CommonDialog1.Filename
End Sub

Private Sub Command2_Click()
    Dim Ret As Long
    
    Label1.Caption = "Result: working..."
    Form6.Refresh
    
    
    'For information about how to use the normalization functions visit :
    'http://rspsoftware.bighost.com.br/rspnormalization.htm
    
    Ret = RSPOggPlay1.GenerateVolumeTag(Text1.Text)
    
    Select Case Ret
        
    Case 0
        Label1.Caption = "Result: no error, tag ok "
    Case 1
        Label1.Caption = "Result: file don't exist or too small  "
    Case 2
        Label1.Caption = "Result: cannot open file to read or write "
    Case 3
        Label1.Caption = "Result: file is read only  "
    Case 4
        Label1.Caption = "Result: unable to generate the volume normalization value  "
    Case 5
        Label1.Caption = "Result: the file isnot a valid OGG Vorbis file  "
    Case Else
        Label1.Caption = "Result: unexpected error"
    End Select
    
End Sub

Private Sub Command3_Click()
    Dim Ret As Long
    
    Label1.Caption = "Result: working..."
    Form6.Refresh
    
    
    'For information about how to use the normalization functions visit :
    'http://rspsoftware.bighost.com.br/rspnormalization.htm
    
    Ret = RSPOggPlay1.CheckVolumeTag(Text1.Text)
    
    Select Case Ret
        
    Case 0
        Label1.Caption = "Result: file have volume tag "
    Case 1
        Label1.Caption = "Result: file don't have volume tag "
    End Select
End Sub 'Rsp Software 1/24/2005 5:39:24 PM - http://rspsoftware.bighost.com.br  svansa@users.sourceforge.net

